COMM(1)

BEZEICHNUNG
comm - Zwei sortierte Dateien Zeile für Zeile vergleichen

ÜBERSICHT
comm [OPTION]… DATEI1 DATEI2

BESCHREIBUNG

Sortierte Dateien DATEI1 und DATEI2 Zeile für Zeile vergleichen.

Wenn DATEI1 oder DATEI2 (aber nicht beide) »-« ist, Standardeingabe lesen.

Ohne Optionen wird eine dreispaltige Ausgabe erzeugt. Spalte eins enthält Zeilen, die nur in DATEI1 sind, Spalte zwei enthält Zeilen, die nur in DATEI2 sind und Spalte drei die Zeilen, die in beiden Dateien gleich sind.

-1  Spalte 1 unterdrücken (Zeilen, die nur in DATEI1 sind)

-2  Spalte 2 unterdrücken (Zeilen, die nur in DATEI2 sind)

-3  Spalte 3 unterdrücken (Zeilen, die beiden Dateien sind)

--check-order
    Prüfen, ob die Eingabe richtig sortiert ist, auch wenn alle Eingabezeilen gepaart werden können

--nocheck-order
    Nicht prüfen, ob die Eingabe korrekt sortiert ist

--output-delimiter=ZEICHEN
    Spalten mit ZEICHEN trennen

--total
    Zusammenfassung ausgeben

-z, --zero-terminated
    Zeilen mit Nullbyte (NUL) trennen, nicht mit Zeilenumbruch

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

Beachten Sie, dass sich die Vergleiche nach den in »LC_COLLATE« angegebenen Regeln richten.

BEISPIELE

comm -12 Datei1 Datei2
    Nur Zeilen ausgeben, die sowohl in Datei1 als auch Datei2 vorhanden sind.

comm -3 Datei1 Datei2
    Zeilen ausgeben, die in Datei1, aber nicht in Datei2 vorhanden sind und umgekehrt.

AUTOR
Geschrieben von Richard M. Stallman und David MacKenzie.

FEHLER BERICHTEN
Onlinehilfe für GNU coreutils: <http://www.gnu.org/software/coreutils/>
Berichten Sie Fehler in der Übersetzung von comm an <http://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2017 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
join(1), uniq(1)

Vollständige Dokumentation unter: <http://www.gnu.org/software/coreutils/comm>
oder lokal verfügbar mit: info '(coreutils) comm invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org>, Dr. Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.